python-lunar_2.0.1-2.2_amd64.deb


Advertisement

Description

python-lunar - Python bindings for the Chinese Lunar library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-lunar
Package version 2.0.1
Package release 2.2
Package architecture amd64
Package type deb
Installed size 69 B
Download size 11.77 KB
Official Mirror ftp.br.debian.org
This library provide a struct to covert between Chinese lunar calendar
and Gregorian calendar.
It also provide a GTK+ Widget which can display Chinese lunar calendar.
This package contains Python module `lunar'.

Alternatives

Package Version Architecture Repository
python-lunar_2.0.1-2.2_i386.deb 2.0.1 i386 Debian Main
python-lunar - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.2.5
libcairo2 >= 1.2.4
libfontconfig1 >= 2.8.0
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.12.0
libgtk2.0-0 >= 2.8.0
libgtksourceview2.0-0 >= 2.10.0
liblunar-1-0 >= 1.0.0
libpango1.0-0 >= 1.14.0
libpython2.7 >= 2.7
python >= 2.7
python << 2.8
python-gtk2 -
python-support >= 0.90.0

Download

Type URL
Binary Package python-lunar_2.0.1-2.2_amd64.deb
Source Package liblunar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-lunar deb package:
    # sudo apt-get install python-lunar

Files

Path
/usr/lib/pyshared/python2.7/gtk-2.0/lunar.so
/usr/share/doc/python-lunar/changelog.Debian.gz
/usr/share/doc/python-lunar/changelog.gz
/usr/share/doc/python-lunar/copyright
/usr/share/python-support/python-lunar.public

Changelog

2012-01-21 - gregor herrmann <gregoa@debian.org>
liblunar (2.0.1-2.2) unstable; urgency=low
* Non-maintainer upload.
* Fix "hardcoded dependency on python-support":
use ${python:Depends} in python-lunar's Depends; patch from Jakub Wilk
(Closes: #592382)
* Fix "missing dependency on python-gtk2":
add python-gtk2 to python-lunar's Depends; bug report from Jakub Wilk
(Closes: #654911)
2010-09-19 - gregor herrmann <gregoa@debian.org>
liblunar (2.0.1-2.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "empty package": tell dh_strip about the -dbg package;
closes: #594503.
2009-04-21 - LI Daobing <lidaobing@debian.org>
liblunar (2.0.1-2) unstable; urgency=low
* debian/control:
- change maintainer's email.
- bump standards version to 3.8.1
- change section of liblunar-1-0-dbg to debug
- add python-support (>= 1.0) to build depends and depends of python-lunar
(Closes: #524854)
2009-03-27 - LI Daobing <lidaobing@gmail.com>
liblunar (2.0.1-1) unstable; urgency=low
* new upstream release.
* bump debhelper to version 7:
- debian/compat: updated.
- debian/control: change build-depends version.
- debian/rules: rewrite for debhelper 7.
- debian/clean: added.
* no longer build depends on cdbs, remove from debian/control.
* all patches have been merged by upstream:
- debian/patches/*: removed.
- debian/control: removed dpatch from build depends.
* debian/python-lunar.install: updated. 
2009-01-04 - LI Daobing <lidaobing@gmail.com>
liblunar (1.0.1-2) unstable; urgency=low
* Sync with Ubuntu.
* debian/patches/03_sprintf.dpatch: fix undefined sprintf behavior bug.
* debian/patches/00list: updated.
* debian/control: add ${misc:Depends} to depends, fix
debhelper-but-no-misc-depends 
2008-12-15 - Alessio Treglia <quadrispro@ubuntu.com>
liblunar (1.0.1-1ubuntu1) jaunty; urgency=low
* Merge from debian unstable (LP: #296398), Ubuntu remaining changes:
- Added debian/patches/02_libtool_path.dpatch to fix libtool
issue, fixes FTBFS.
2008-08-10 - LI Daobing <lidaobing@gmail.com>
liblunar (1.0.1-1) unstable; urgency=low
* new upstream release. 
* debian/liblunar-1-0.symbols: 1 symbol added, 1 symbol removed. 
2008-07-22 - LI Daobing <lidaobing@gmail.com>
liblunar (1.0.0-2) UNRELEASED; urgency=low
* debian/control: 
- fix Vcs-*.
- bump standards version to 3.8.0, no change needed.
- add automake to build depends (LP: 248579).
- add DMUA field.
* debian/liblunar-1-0.symbols: added. 
* debian/copyright: updated copyright format. 
2008-11-28 - James Westby <james.westby@canonical.com>
liblunar (1.0.0-1ubuntu3) jaunty; urgency=low
* Use the system libtool, as ./libtool is not in the tree with newer libtool
releases. If libtool isn't there then python is not detected, the
python parts are not built and the package fails to build while trying
to install them.
2008-08-11 - Alessio Treglia <quadrispro@ubuntu.com>
liblunar (1.0.0-1ubuntu2) intrepid; urgency=low
* debian/control:
- autoconf is listed twice in Build-Depends, fixed (LP: #256866).

See Also

Package Description
python-lunch_0.4.0-1_all.deb distributed process launcher
python-lxml-doc_3.4.0-1_all.deb pythonic binding for the libxml2 and libxslt libraries (documentation)
python-lxml_3.4.0-1_amd64.deb pythonic binding for the libxml2 and libxslt libraries
python-lz4_0.7.0+dfsg-1_amd64.deb Python interface to the lz4 compression library
python-lzma_0.5.3-2+b1_amd64.deb Python bindings for liblzma
python-lzo_1.08-1_amd64.deb Python bindings for the LZO data compression library
python-m2crypto_0.21.1-3_amd64.deb a crypto and SSL toolkit for Python
python-m2ext_0.1-1_amd64.deb Extensions to the M2Crypto Python package
python-macaron_0.3.1-1_all.deb simple ORM for Python, SQLite3 and Bottle web framework
python-magic_5.22+15-2+deb8u4_all.deb File type determination library using "magic" numbers (Python bindings)
python-magics++_2.22.7.dfsg.1-4_amd64.deb python support for Magics++
python-mailer_0.7-1_all.deb Python module that simplifies sending email
python-mailutils_2.99.98-2_amd64.deb GNU Mail abstraction library (Python interface)
python-mako-doc_1.0.0+dfsg-0.1_all.deb documentation for the Mako Python library
python-mako_1.0.0+dfsg-0.1_all.deb fast and lightweight templating for the Python platform
Advertisement
Advertisement